package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 应用执行结果记录管理对象 ct_apply_plan_log
 *
 * @author LiuChengRan
 * @date 2024-06-14
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="ApplyPlanLog",description = "应用执行结果记录管理")
@TableName(value = "ct_apply_plan_log")
public class ApplyPlanLog extends BaseEntity
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;



    /** 启动的任务的uuid */
    @Excel(name = "启动的任务的uuid")
    @ApiModelProperty(name="jobUuid",value = "启动的任务的uuid")
    private String jobUuid;

    /** 计划名称 */
    @Excel(name = "计划名称")
    @ApiModelProperty(name="planName",value = "计划名称")
    private String planName;


    /** 执行类型（0指定机器人 1随机分配空闲） */
    @Excel(name = "执行类型", readConverterExp = "0=指定机器人,1=随机分配空闲")
    @ApiModelProperty(name="planType",value = "执行类型")
    private String planType;

    /** 计划执行的机器人名称 */
    @Excel(name = "计划执行的机器人名称")
    @ApiModelProperty(name="robotName",value = "计划执行的机器人名称")
    private String robotName;

    /** 应用类型名称 */
    @Excel(name = "应用类型名称")
    @ApiModelProperty(name="appTypeName",value = "应用类型名称")
    private String appTypeName;

    /** 应用名称 */
    @Excel(name = "应用名称")
    @ApiModelProperty(name="appName",value = "应用名称")
    private String appName;

    /** appid */
    @Excel(name = "appid")
    @ApiModelProperty(name="appId",value = "appid")
    private String appId;

    /** 任务状态 */
    @Excel(name = "任务状态")
    @ApiModelProperty(name="status",value = "任务状态")
    private String status;

    /** 任务状态名称 */
    @Excel(name = "任务状态名称")
    @ApiModelProperty(name="statusName",value = "任务状态名称")
    private String statusName;


    /** 任务开始运行的时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "任务开始运行的时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(name="startTime",value = "任务开始运行的时间")
    private Date startTime;


    /** 任务结束运行的时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "任务结束运行的时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(name="endTime",value = "任务结束运行的时间")
    private Date endTime;

    /** 预计人工耗时 */
    @Excel(name = "预计人工耗时")
    @ApiModelProperty(name="manualTime",value = "预计人工耗时")
    private String manualTime;

    /** 实际耗时 */
    @Excel(name = "实际耗时")
    @ApiModelProperty(name="planTime",value = "实际耗时")
    private String planTime;

    /** 节约时间 */
    @Excel(name = "节约时间")
    @ApiModelProperty(name="timeSaving",value = "节约时间")
    private String timeSaving;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jobUuid", getJobUuid())
            .append("planName", getPlanName())
            .append("planType", getPlanType())
            .append("robotName", getRobotName())
            .append("appTypeName", getAppTypeName())
            .append("appName", getAppName())
            .append("appId", getAppId())
            .append("status", getStatus())
            .append("statusName", getStatusName())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("manualTime", getManualTime())
            .append("planTime", getPlanTime())
            .append("timeSaving", getTimeSaving())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("deleted", getDeleted())
            .toString();
    }
}
